PAPI_get_executable_info(3)

NAME
PAPI_get_executable_info - Get the executable's address space info.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
    const PAPI_exe_info_t *PAPI_get_executable_info( void );

This function returns a pointer to a structure containing information about the current program.

Parameters
    fullname Fully qualified path + filename of the executable.
    name Filename of the executable with no path information.
    text_start,text_end Start and End addresses of program text segment.
    data_start,data_end Start and End addresses of program data segment.
    bss_start,bss_end Start and End addresses of program bss segment.

Return values
    PAPI_EINVAL One or more of the arguments is invalid.

Examples:

    const PAPI_exe_info_t *prginfo = NULL;
    if ( ( prginfo = PAPI_get_executable_info( ) ) == NULL )
    exit( 1 );
    printf( "Path+Program: %s\n", exeinfo->fullname );
    printf( "Program: %s\n", exeinfo->address_info.name );
    printf( "Text start: %p, Text end: %p\n", exeinfo->address_info.text_start, exeinfo->address_info.text_end) ;
    printf( "Data start: %p, Data end: %p\n", exeinfo->address_info.data_start, exeinfo->address_info.data_end );
    printf( "Bss start: %p, Bss end: %p\n", exeinfo->address_info.bss_start, exeinfo->address_info.bss_end );

See also
    PAPI_get_opt

    PAPI_get_hardware_info

    PAPI_exe_info_t

Author

Generated automatically by Doxygen for PAPI from the source code.